#!/usr/bin/env bash

pod_name='podman-framadate'
service_name="pod-${pod_name}.service"
framadate_image='git.garbaye.fr/garbaye/framadate-app'
framadate_version='1.1.19'
dbvolume='podman-framadate_framadate-db'
listen_if="${GARBAYE_FRAMADATE_ENV_LISTENIF:-127.0.0.1}"
listen_port="${GARBAYE_FRAMADATE_ENV_LISTENPORT:-8087}"
GARBAYE_FRAMADATE_APP_NAME="${GARBAYE_FRAMADATE_ENV_APP_NAME:-Framadate Garbaye}"
GARBAYE_FRAMADATE_DOMAIN="${GARBAYE_FRAMADATE_ENV_DOMAIN:-sondage.garbaye.fr}"
GARBAYE_FRAMADATE_ADMIN_MAIL="${GARBAYE_FRAMADATE_ENV_ADMIN_MAIL:-contact-framadate@garbaye.fr}"
get_default_iface_ipv4 GARBAYE_FRAMADATE_SMTP_SERVER
envvars='GARBAYE_FRAMADATE_ADMIN_PASSWORD GARBAYE_FRAMADATE_MYSQL_ROOT_PASSWORD GARBAYE_FRAMADATE_MYSQL_PASSWORD'
upstream_images="${framadate_image} localhost/framadate-app docker.io/library/composer docker.io/library/mysql docker.io/library/php docker.io/library/composer"
