#!/usr/bin/env bash
## vars
version='stable-7648-4'
## default vars : override with ENV var
listen_if="${GARBAYE_JITSI_ENV_LISTENIF:-127.0.0.1}"
listen_port="${GARBAYE_JITSI_ENV_LISTENPORT:-8085}"
GARBAYE_JITSI_URL="${GARBAYE_JITSI_ENV_URL:-https://jitsi.garbaye.fr}"
## internal vars : do not touch
project_name=${PWD##*/}
pod_name="${project_name}"
service_name="pod-${pod_name}.service"
get_default_iface_ipv4 GARBAYE_JITSI_PRIV_IP
upstream_images="git.garbaye.fr/garbaye/jitsi-jvb git.garbaye.fr/garbaye/jitsi-jicofo git.garbaye.fr/garbaye/jitsi-prosody git.garbaye.fr/garbaye/jitsi-web"
confvolume='~/.jitsi-meet-cfg'
