#!/usr/bin/env bash

privatebin_image="git.garbaye.fr/garbaye/privatebin-nginx-fpm-alpine"
privatebin_version='1.4.0-alpine3.16'
container_name='my-privatebin'
service_name="container-${container_name}.service"
listen_if="${GARBAYE_PRIVATEBIN_ENV_LISTENIF:-127.0.0.1}"
listen_port="${GARBAYE_PRIVATEBIN_ENV_LISTENPORT:-8084}"
srvdata_volume='privatebin-data'
varlibnginxtmp_volume='privatebin-var-lib-nginx-tmp'
run_volume='privatebin-run'
tmp_volume='privatebin-tmp'
nonpersistent_volumes="${varlibnginxtmp_volume} ${run_volume} ${tmp_volume}"
upstream_images="${privatebin_image} docker.io/library/alpine"
